<?php

$config = array(
	'EvCheckout' => array(
		/**
		 * pageIds for success / fail pages
		 */
		'pageIds' => array(
			'success' => null,
			'fail' => null
		),

		/**
		 * will this checkout allow guest checkout
		 */
		'guestCheckout' => true,

		/**
		 * default stage process to use
		 *
		 * can be overriden with a session
		 */
		'stageProcess' => 'default',

		/**
		 * define all the stages needed during checkout
		 * the key to each stage array will be used in the url
		 *
		 * pre - array of controller methods to run on displaying the page
		 * post - array of controller methods to run when the form has been submitted
		 * template - the template to load
		 */
		'stages' => array(
			'default' => array(
				'login' => array(
					'pre' => array(),
					'post' => array(
						'processRegister',
						'processLogin'
					),
					'template' => 'Checkout/login'
				),
				'delivery-address' => array(
					'pre' => array(
						'authUser'
					),
					'post' => array(),
					'template' => 'Checkout/delivery_address'
				),
				'three' => array(
					'pre' => array(),
					'post' => array(),
					'template' => 'test/stage3'
				)
			)
		),

		/**
		 * routes for use within the templates incase any overriding takes place
		 */
		'route' => array(
			'Checkout' => array(
				'controller' => 'ev_checkout.checkout',
				'action' => 'index',
				'plugin' => 'EvCheckout'
			)
		)
	)
);