<?php

App::uses('AppComponent', 'Controller/Component');

class PostStageComponent extends AppComponent {

	/**
	 * check for a process any registration data
	 *
	 * @return bool
	 */
	public function processRegister() {
		$return = true;

		if (isset($this->_controller->request->data['Form']['action']) && $this->_controller->request->data['Form']['action'] == 'register') {

			if (empty($this->_controller->UserManager)) {
				$this->_controller->UserManager = $this->_controller->loadComponent('EvCore.UserManager');
			}

			// move the array data to 'User' section, separated to prevent
			// login / register forms from both populating
			$this->_controller->request->data['User'] = $this->_controller->request->data['Register'];

			$UserModel = EvClassREgistry::init('EvCore.User');
			$result = $this->_controller->UserManager->register($UserModel);

			if ($result['result'] === true) {
				$this->_controller->Flash->success($result['data']['message']);
			} else {

				$return = false;
				$this->_controller->Flash->fail($result['data']['errors']);
			}
		}

		return $return;
	}

	/**
	 * check for a process any login data
	 *
	 * @return bool
	 */
	public function processLogin() {
		$return = true;

		if (isset($this->_controller->request->data['Form']['action']) && $this->_controller->request->data['Form']['action'] == 'login') {

			if (empty($this->_controller->UserManager)) {
				$this->_controller->UserManager = $this->_controller->loadComponent('EvCore.UserManager');
			}

			// move the array data to 'User' section, separated to prevent
			// login / register forms from both populating
			$this->_controller->request->data['User'] = $this->_controller->request->data['Login'];

			$UserModel = EvClassREgistry::init('EvCore.User');
			$result = $this->_controller->UserManager->login($UserModel);

			if ($result['result'] === true) {
				$this->_controller->Flash->success($result['data']['message']);
			} else {

				$return = false;
				$this->_controller->Flash->fail($result['data']['errors']);
			}
		}

		return $return;
	}
}
